# ofw
a rust crate for interfacing with OpenFirmware (former IEEE standard 1275)

## goals
- provide a simple-to-use yet extensible interface for OpenFirmware clients to use
- allow easy expansion of the interface from other crates
- properly document usage of the interface
- eventually provide support for all platforms that are both supported by OpenFirmware and rust
- zero runtime allocations

## non-goals
- provide a runtime environment for OpenFirmware clients
- provide rust functions for OpenFirmware services other than what's deemed necessary

## differences between this crate and ieee1275-rs
this crate is intended to be a basic building-block for other crates to use when implementing interfaces for
parts of the OpenFirmware client interface. other crates may extend this crate to provide further rust abstraction
of OpenFirmware services, however they will not be built-in to this crate. this is intended to allow for developers
to pick and choose what abstractions they will need, as well as to simplify the addition of new abstractions.  
  
this crate - while it may be solely used by an OpenFirmware client - is not intended to provide a full runtime
abstraction of the OpenFirmware client interface.