// # Note to developers:
// architecture-specific code may be tested via the usage of a file in the following
// path: `/.cargo/config`. (where `/` is the root of the project)
// the file should contain the following:
// ```
// [build]
// # for powerpc
// target = "powerpc-unknown-linux-gnu"
// ```

use crate::Args;

/// # PowerPC
#[cfg(target_arch = "powerpc")]
pub type EntryFunction = extern "C" fn (*mut Args) -> i32;

/// # x86_64
/// note: x86_64 does not have an OpenFirmware implementation, this is for testing purposes only
#[cfg(target_arch = "x86_64")]
pub type EntryFunction = extern "C" fn (*mut Args) -> i32;